Error running nodester CLI #55

Closed
jaydeepw opened this Issue Jan 27, 2013 · 4 comments

Comments

Projects
None yet
3 participants

Hi all,

I have been working on a simple app. I wanted to host it on @nodester .
I installed nodester-cli using NPM. But it seems we have something wrong here.
Here is whats happening.

jay@jays-workstation:/git-projects-linux/nodester-moviefinder$ sudo npm install nodester-cli -g
[sudo] password for jay:
npm http GET https://registry.npmjs.org/nodester-cli
npm http 304 https://registry.npmjs.org/nodester-cli
npm http GET https://registry.npmjs.org/colors/0.3.0
npm http GET https://registry.npmjs.org/iniparser/1.0.1
npm http GET https://registry.npmjs.org/read
npm http GET https://registry.npmjs.org/nodester-api
npm http GET https://registry.npmjs.org/cli-table/0.0.2
npm http 200 https://registry.npmjs.org/iniparser/1.0.1
npm http 200 https://registry.npmjs.org/colors/0.3.0
npm http GET https://registry.npmjs.org/iniparser/-/iniparser-1.0.1.tgz
npm http GET https://registry.npmjs.org/colors/-/colors-0.3.0.tgz
npm http 200 https://registry.npmjs.org/nodester-api
npm http 200 https://registry.npmjs.org/read
npm http 200 https://registry.npmjs.org/cli-table/0.0.2
npm http GET https://registry.npmjs.org/cli-table/-/cli-table-0.0.2.tgz
npm http 200 https://registry.npmjs.org/colors/-/colors-0.3.0.tgz
npm http 200 https://registry.npmjs.org/cli-table/-/cli-table-0.0.2.tgz
npm http 200 https://registry.npmjs.org/iniparser/-/iniparser-1.0.1.tgz
npm http GET https://registry.npmjs.org/request
npm http 200 https://registry.npmjs.org/request
/usr/local/bin/nodester -> /usr/local/lib/node_modules/nodester-cli/bin/nodester.js
nodester-cli@1.1.1 /usr/local/lib/node_modules/nodester-cli
├── iniparser@1.0.1
├── colors@0.3.0
├── cli-table@0.0.2
├── read@0.1.1
└── nodester-api@0.2.0 (request@2.12.0)
jay@jays-workstation:
/git-projects-linux/nodester-moviefinder$ nodester

crypto.js:302
this._binding.init(cipher, toBuf(password));
^
Error: Must give cipher-type, key as argument
at new Decipher (crypto.js:302:17)
at decryptAuth (/usr/local/lib/node_modules/nodester-cli/lib/config.js:68:14)
at Object.exports.parse (/usr/local/lib/node_modules/nodester-cli/lib/config.js:165:13)
at Object. (/usr/local/lib/node_modules/nodester-cli/lib/commands.js:58:21)
at Module._compile (module.js:456:26)
at Object.Module._extensions..js (module.js:474:10)
at Module.load (module.js:356:32)
at Function.Module._load (module.js:312:12)
at Module.require (module.js:364:17)
at require (module.js:380:17)

Any clues, if I am going wrong or its a bug?

Guys, any updates...

I cannot do anything with @nodester anymore

I removed nodester and tried to reinstall it
using

npm install nodester-cli -g

Still the same error.
How do I change my package.json to install it only for the current project
and NOT globaly.

Anyone? My site just stopped working today (which is a bit strange on it's own) and I had to investigate it with curl. No very convenient :C.

Collaborator

alejandro commented Mar 27, 2013

Sorry @KenjiTakahashi, but it seems like AppFog peps are not maintaining the nodester server at all. The best you can do is to create an account in their platform and move your thing there, it's free.

@alejandro alejandro closed this Mar 27, 2013

Oh, I see :).

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment